mod errors;
mod file_io;
mod parser;

use file_io::open_file;
use parser::Parser;
use std::path::Path;

fn main() {
    let path = Path::new("reid_src/test.reid");
    let reid = Parser::from(open_file(&path).ok().unwrap()).parse();
    if let Err(error) = reid {
        eprintln!("Syntax error: {}", error);
        std::process::exit(1);
    }
    dbg!(reid);
}
